## org.omg.PortableServer.POAPackage
Class ServantNotActiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ServantNotActiveHelper

public class ServantNotActiveHelper
extends java.lang.Object

Helper class for : ServantNotActive

Author:
  OpenORB Compiler

Constructor Summary
`ServantNotActiveHelper()`

Method Summary
`static ServantNotActive` `extract(Any a)` Extract ServantNotActive from an any
`static java.lang.String` `id()` Return the ServantNotActive IDL ID
`static void` `insert(Any a, ServantNotActive t)` Insert ServantNotActive into an any
`static ServantNotActive` `read(InputStream istream)` Read ServantNotActive from a marshalled stream
`static TypeCode` `type()` Return the ServantNotActive TypeCode
`static void` `write(OutputStream ostream, ServantNotActive value)` Write ServantNotActive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantNotActiveHelper

    public ServantNotActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantNotActive t)

  Insert ServantNotActive into an any
  Parameters:
    `a` - an any
    `t` - ServantNotActive value

### extract

    public static ServantNotActive extract(Any a)

  Extract ServantNotActive from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantNotActive value

### type

    public static TypeCode type()

  Return the ServantNotActive TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantNotActive IDL ID
  Returns:
    an ID

### read

    public static ServantNotActive read(InputStream istream)

  Read ServantNotActive from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantNotActive value

### write

    public static void write(OutputStream ostream,
                             ServantNotActive value)

  Write ServantNotActive into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantNotActive value